from itertools import product
from panda3d.core import NodePath


class Background:

    def __init__(self):
        root = NodePath('background_root')
        root.reparent_to(render)
        ncols, nrows = 12, 8
        start_size, end_size = 5, 2.5
        offset = 5
        for col, row in product(range(ncols), range(nrows)):
            model = loader.load_model('assets/gltf/background/background.gltf')
            model.set_scale(end_size / start_size)
            model.reparent_to(root)
            total_width, total_height = end_size * ncols, end_size * nrows
            left, bottom = -total_width/2, -total_height/2
            model.set_pos(left + end_size * col, offset, bottom + end_size * row)
        root.clear_model_nodes()
        root.flatten_strong()
