from glob import glob
from random import choice
from logging import info
from panda3d.core import AudioSound


class MusicMgr:

    def __init__(self, volume):
        self._start_music(glob('assets/audio/music/*.ogg'))
        base.musicManager.setVolume(.8 * volume)
        base.sfxManagerList[0].setVolume(volume)
        taskMgr.add(self._on_frame, 'on frame music')

    def _start_music(self, files):
        self._music = loader.load_music(choice(files))
        info('playing music ' + self._music.get_name())
        self._music.play()

    def _on_frame(self, task):
        if self._music.status() == AudioSound.READY:
            files = glob('assets/audio/music/*.ogg')
            files.remove('assets/audio/music/' + self._music.get_name())
            self._start_music(files)
        return task.cont
